LPA(4)

NAME
lpa - Interruptless parallel port driver

SYNOPSIS
device lpa0 at isa? port "IO_LPT1" tty
device lpa1 at isa? port "IO_LPT2" tty
device lpa2 at isa? port "IO_LPT3" tty

DESCRIPTION
This driver provides access to parallel ports. It assumes that the parallel port controller will not cause an interrupt, and therefore must poll the controller.

FILES
/dev/lpa0
    first interruptless parallel port driver

SEE ALSO
lpt(4)

BUGS
This driver only exists to support broken parallel port implementations. Systems with properly working parallel ports should use the lpt driver instead, as it is less resource-hungry.

This driver could stand a rewrite.